Skip to main content
GET
List material containers

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Query Parameters

limit
integer
default:10

Maximum number of items to return.

Required range: 1 <= x <= 50
site_id
string

Filter by the site currently holding the container.

status
enum<string>

Filter by container status. Whether the container is available as an input to further flows, consumed by one, or deactivated.

Available options:
available,
consumed,
deactivated
starting_after
string

Cursor representing the item ID after which to start listing results.

Response

Material containers visible to the access token scope.

data
object[]
required

The current page of containers.

pagination
object
required

Pagination metadata for the returned page.